[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SetFocus

Gives focus to the grid control.

## Declaration

Source position: grids.pas line 1375

`public procedure TCustomGrid.SetFocus; override;`

## Description

SetFocus is an overridden procedure used to make the grid control the currently focused control. SetFocus ensures that pending Tab key navigation for an active cell editor is handled properly. If an Editor is both available and visible, it calls its SetFocus method. Otherwise, the grid control becomes the focused control.